From: [email-masked] (Mi Mi)
Date: Tue, 23 Nov 93 10:29:10 CST

-------------------------------------------------------------------------------
Date: Tue, 23 Nov 1993 09:19:09 -0500 (EST)
>From: Xuan Chang <[email-masked]>
Subject: Help wanted
To: Mi Mi <[email-masked]>
In-Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII

Hi, Mr. Mi Mi sir: I'm a CSPA benefiter and I've filed I-845 in 6/30.
Since redoing my finger print, I haven't gotten approve notice yet. It
bring me a trouble that my ID card (from the University which i'm working
in) will Expire at the end of this year. When I called the INS eastern
center and asked for file I-765 (we couldn't file it at local INS) and was
 told that it will take another 90day to process and he can't guarantee
My I-485 will be approved within next 30days. Then I asked  the University
OIS  and was told that they don't have any clear rules for that particular
case. So, I am wondering if you ever heard any similar case or can help me to
post it to the neters for finding out a solution?
 I will appreciate it very much for any response. My acount:[email-masked]